<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
<CodeBlocks_project_file>
	<FileVersion major="1" minor="6" />
	<Project>
		<Option title="XbusForce" />
		<Option pch_mode="2" />
		<Option compiler="avrgcc" />
		<Build>
			<Target title="Debug">
				<Option output="bin\Debug\InertialHand.elf" prefix_auto="1" extension_auto="0" />
				<Option object_output="obj\Debug\" />
				<Option type="1" />
				<Option compiler="avrgcc" />
				<Compiler>
					<Add option="-g" />
				</Compiler>
			</Target>
			<Target title="Release">
				<Option output="bin\Release\InertialHand.elf" prefix_auto="1" extension_auto="0" />
				<Option object_output="obj\Release\" />
				<Option type="1" />
				<Option compiler="avrgcc" />
				<Compiler>
					<Add option="-Os" />
				</Compiler>
				<ExtraCommands>
					<Add after="avr-size --format=avr  --mcu=atxmega128a1 $(PROJECTDIR)bin\Release\InertialHand.elf" />
					<Mode after="always" />
				</ExtraCommands>
			</Target>
		</Build>
		<Compiler>
			<Add option="-Wall" />
			<Add option="-mmcu=atxmega128a1" />
		</Compiler>
		<Linker>
			<Add option="-mmcu=atxmega128a1" />
			<Add option="-Wl,-Map=$(TARGET_OUTPUT_FILE).map,--cref" />
		</Linker>
		<ExtraCommands>
			<Add after="avr-objcopy -O ihex -R .eeprom -R .eesafe $(TARGET_OUTPUT_FILE) $(TARGET_OUTPUT_FILE).hex" />
			<Add after="avr-objcopy --no-change-warnings -j .eeprom --change-section-lma .eeprom=0 -O ihex $(TARGET_OUTPUT_FILE) $(TARGET_OUTPUT_FILE).eep.hex" />
			<Add after='cmd /c &quot;avr-objdump -h -S $(TARGET_OUTPUT_FILE) &gt; $(TARGET_OUTPUT_FILE).lss&quot;' />
		</ExtraCommands>
		<Unit filename="C:\WinAVR-20100110\avr\include\avr\iox32a4.h" />
		<Unit filename="main.c">
			<Option compilerVar="CC" />
		</Unit>
		<Unit filename="spi.c">
			<Option compilerVar="CC" />
		</Unit>
		<Unit filename="spi.h" />
		<Unit filename="uart.c">
			<Option compilerVar="CC" />
		</Unit>
		<Unit filename="uart.h" />
		<Extensions>
			<code_completion />
			<debugger />
			<envvars />
		</Extensions>
	</Project>
</CodeBlocks_project_file>
